#ifndef MOF_TEXTURE_IMPL_HPP
#define MOF_TEXTURE_IMPL_HPP
#include "Texture.hpp"


#include "mof/GraphicsDevice.hpp"
#include <d3dx9.h>


struct mof::Texture::Impl{
	LPDIRECT3DTEXTURE9 pTexture;
	int width , height;

	Impl() : pTexture(NULL) , width(0) , height(0){}
	~Impl(){
		if(pTexture != NULL)pTexture->Release();
	}
};

#endif